Name: hal-laptop
Version: 0.1.2
Release: alt1
Summary: Powermanagement addons for HAL
Group: System/Kernel and hardware
URL: http://git.altlinux.org/people/shrek/packages/hal-laptop.git
License: GPL

PreReq: hal >= 0.5.12
Obsoletes: hibernate-acpi
Conflicts: powersave

Source: %name-%version.tar
Patch: %name-%version-%release.patch

BuildRequires: gcc-c++ libhal-devel libdbus-glib-devel libX11-devel libXext-devel libalsa-devel

%description
%name gives you control over the ACPI buttons, battery states and supports proper
standby/suspend handling.

%prep
%setup -q
%patch -p1

%build
%autoreconf
%configure \
	--libexecdir=%_prefix/libexec \
	--disable-static
%make

%install
%make DESTDIR=%buildroot install

%files
%dir %_sysconfdir/hal/actions
%_libdir/*.so.*
%_prefix/libexec/hal/*
%_prefix/libexec/%name
%_datadir/hal/fdi/policy/20thirdparty/*.fdi

%changelog
* Wed Feb 04 2009 Valery Inozemtsev <shrek@altlinux.ru> 0.1.2-alt1
- 0.1.2

* Thu Jan 15 2009 Valery Inozemtsev <shrek@altlinux.ru> 0.1.1-alt4
- fdi: updated for new eeepc-laptop

* Tue Dec 30 2008 Valery Inozemtsev <shrek@altlinux.ru> 0.1.1-alt3
- corrected EeePC check

* Tue Dec 30 2008 Valery Inozemtsev <shrek@altlinux.ru> 0.1.1-alt2
- EeePC:
  + enabled call for wifi-power button

* Tue Dec 30 2008 Valery Inozemtsev <shrek@altlinux.ru> 0.1.1-alt1
- 0.1.1

* Tue Dec 23 2008 Valery Inozemtsev <shrek@altlinux.ru> 0.1.0-alt1
- 0.1.0

* Wed Dec 03 2008 Valery Inozemtsev <shrek@altlinux.ru> 0.0.3-alt1
- 0.0.3

* Tue Nov 18 2008 Valery Inozemtsev <shrek@altlinux.ru> 0.0.2-alt1
- 0.0.2

* Mon Nov 17 2008 Valery Inozemtsev <shrek@altlinux.ru> 0.0.1-alt1
- initial release

